uil(1)

NAME
uil - user interface language compiler for X window system

SYNOPSIS
uil [ options ] file

DESCRIPTION
The uil command invokes the uil compiler. The user interface language (uil) is a specification language for describing the initial state of a user interface for a Motif application. The specification describes the objects (menus, dialog boxes, labels, push buttons, and so on) used in the interface and specifies the routines to be called when the interface changes state as a result of user interaction.

file
    Specifies the file to be compiled through the uil compiler.

options
    Specifies one or more of the following options:

    -Ipathname
        This option causes the compiler to look for include files in the directory specified if the include files have not been found in the paths that have already been searched. Specify this option followed by a pathname, with no intervening spaces.

    -m  Machine code is listed. This directs the compiler to place in the listing file a description of the records that it added to the uid database. This helps you isolate errors. The default is no machine code.

    -o file
        Directs the compiler to produce a user interface database (uid). By default, uil creates a uid with the name a.uid. The file specifies the filename for the uid. No uid is produced if the compiler issues any diagnostics categorized as error or severe.

    -v file
        Directs the compiler to generate a listing. The file specifies the filename for the listing. If the -v option is not present, no listing is generated by the compiler. The default is no listing.

    -w  Specifies that the compiler suppress all warning and informational messages. If this option is not present, all messages will be generated, regardless of the severity.

For more information about uil syntax, see the OSF/Motif Programmer's Guide.

RELATED INFORMATION
X(1), Uil(3Xm)